org.apache.xmlgraphics.ps.dsc

## Interface NestedDocumentHandler

- All Known Implementing Classes:
    DefaultNestedDocumentHandler

      public interface NestedDocumentHandler

  Interface that is used to delegate the handling of nested documents (EPS files, data sections) in a PostScript document. The implementation receives a parser instance so it can step forward until the end of the nested document is reached at which point control is given back to the original consumer.

  It is suggested to use the more generally usable `DSCListener` instead. This interface may be deprecated in the future.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handle(DSCEvent event, DSCParser parser)` Handle a DSC event.

- - ### Method Detail

    - #### handle

          void handle(DSCEvent event,
                      DSCParser parser)
               throws java.io.IOException,
                      DSCException

      Handle a DSC event. Implementations may issue additional calls to the DSC parser and may modify its state. When returning from the call, state information such as filters should be restored.
      Parameters:
        `event` - the DSC event to handle
        `parser` - the DSC parser to work with
      Throws:
        `java.io.IOException` - In case of an I/O error
        `DSCException` - In case of a violation of the DSC spec

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.